# Namespace: interaction

## ol.interaction

### Classes

DoubleClickZoom
DragAndDrop
DragAndDropEvent
DragBox
DragPan
DragRotate
DragRotateAndZoom
DragZoom
Draw
Interaction
KeyboardPan
KeyboardZoom
Modify
MouseWheelZoom
PinchRotate
PinchZoom
Pointer
Select

### Methods

#### staticol.interaction.defaults(opt_options){ol.Collection} experimental

src/ol/interaction/interactiondefaults.js, line 40

  Name | Type | Description
  --- | --- | ---
  `options` | optional Defaults options.
  Name | Type | Description
  --- | --- | ---
  `altShiftDragRotate` | boolean | undefined | optional Whether Alt-Shift-drag rotate is desired. Default is `true`.
  `doubleClickZoom` | boolean | undefined | optional Whether double click zoom is desired. Default is `true`.
  `keyboard` | boolean | undefined | optional Whether keyboard interaction is desired. Default is `true`.
  `mouseWheelZoom` | boolean | undefined | optional Whether mousewheel zoom is desired. Default is `true`.
  `shiftDragZoom` | boolean | undefined | optional Whether Shift-drag zoom is desired. Default is `true`.
  `dragPan` | boolean | undefined | optional Whether drag pan is desired. Default is `true`.
  `pinchRotate` | boolean | undefined | optional Whether pinch rotate is desired. Default is `true`.
  `pinchZoom` | boolean | undefined | optional Whether pinch zoom is desired. Default is `true`.
  `zoomDelta` | number | undefined | optional Zoom delta.
  `zoomDuration` | number | undefined | optional Zoom duration.

  ##### Returns:

  A collection of interactions to be used with the ol.Map constructor's interactions option.